# $Revision: 1.8 $, $Date: 2004/04/10 22:31:19 $
%define	snapshot	2004.03.26
%define version 0.5.2
%define release 1mdk

%define mainname libaal
%define major 2
%define libname %{mainname}%{major}

Summary:	Library for Reiser4 filesystem
Name:		%{libname}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	%{mainname}-%{version}.tar.bz2
Patch0:		%{mainname}-opt.patch.bz2
Patch1:		%{mainname}-am18.patch.bz2
URL:		http://www.namesys.com/snapshots/%{snapshot}
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{_tmppath}/%{name}-%{version}
Provides: 	%{name} = %{version}

%description
libaal library - needed for Reiser4 filesystem utilities.

%package -n %{libname}-devel
Summary:	Header files for libaal library
Group:		System/Libraries
Requires: 	%{libname} >= %{version}
Provides: 	%{libname}-devel = %{version}
Provides: 	%{mainname}-devel = %{version}

%description -n %{libname}-devel
Header files for libaal library.

%package -n %{libname}-static-devel
Summary:	Static libaal library
Group:		System/Libraries
Requires: 	%{libname} >= %{version}
Provides: 	%{libname}-static-devel = %{version}
Provides: 	%{mainname}-static-devel = %{version}

%description -n %{libname}-static-devel
The static libaal library.

%prep
%setup -q -n %{mainname}-%{version}
%patch0 -p1
%patch1 -p1

%build
libtoolize --force
aclocal
autoheader
autoconf
automake
%configure \
	%{!?debug:--disable-debug} \
#	--libdir=/%{_lib} \
#	--prefix=/ \
#	--includedir=%{_includedir} \
#	--datadir=%{_datadir}
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
# install \
#	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
# COPYING contains information other than GPL text
%doc AUTHORS BUGS COPYING CREDITS ChangeLog README THANKS TODO
%attr(755,root,root) %{_libdir}/lib*-*.so.*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_datadir}/aclocal/*.m4

%files -n %{libname}-static-devel
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%changelog
* Tue Jun 18 2004 Svetoslav Slavtchev <svetljo@gmx.de> 0.5.2-1mdk
- 0.5.2
- re-add static package

* Sat Jun 12 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.5.1-1thac
- Built for Mandrake 10.0 official
